Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 731754 - sci-biology/embassy-clustalomega fails to link with LLD because of /usr/lib in the link command line
Summary: sci-biology/embassy-clustalomega fails to link with LLD because of /usr/lib i...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Science Biology related packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: LD-is-lld
  Show dependency tree
 
Reported: 2020-07-08 15:18 UTC by Agostino Sarubbo
Modified: 2021-03-13 12:06 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,20.33 KB, text/plain)
2020-07-08 15:18 UTC, Agostino Sarubbo
Details
other.tar.bz2 (other.tar.bz2,268 bytes, application/x-bzip-compressed-tar)
2020-07-08 15:18 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-07-08 15:18:18 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: sci-biology/embassy-clustalomega fails to link with LLD because of /usr/lib in the link command line.
Discovered on: amd64  (internal ref: tinderbox)

NOTE:
This PR gives an idea about a fix: https://github.com/PhotoFlare/photoflare/pull/248/files.
Comment 1 Agostino Sarubbo gentoo-dev 2020-07-08 15:18:25 UTC
Created attachment 648396 [details]
build.log

build log and emerge --info
Comment 2 Agostino Sarubbo gentoo-dev 2020-07-08 15:18:28 UTC
Created attachment 648398 [details]
other.tar.bz2

other logs
Comment 3 Larry the Git Cow gentoo-dev 2021-03-13 12:06:06 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e0bd56e659f6b391b92579bdf99350455542b4a8

commit e0bd56e659f6b391b92579bdf99350455542b4a8
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2021-03-13 12:04:34 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2021-03-13 12:04:34 +0000

    sci-biology/embassy-clustalomega: Fix building against clang/LLD
    
    Closes: https://bugs.gentoo.org/731754
    Package-Manager: Portage-3.0.17, Repoman-3.0.2
    Signed-off-by: David Seifert <soap@gentoo.org>

 ...bassy-clustalomega-1.1.0_fix-build-system.patch | 31 ++++++++++++----------
 1 file changed, 17 insertions(+), 14 deletions(-)